LLRect (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.shape.LLRect class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geometry.shape
Class LLRect

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.LLRect

Deprecated.

    @Deprecated
    public class LLRect

extends Object

Lat-long rect. Instances are mutable.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`LLRect(LatLng ll, LatLng ur)` Deprecated.
`LLRect(LLRect other)` Deprecated.

Method Summary
`double` | `area()` Deprecated. Return the area in units of lat-lng squared.
`static LLRect` | `createBox(LatLng center, double widthMi, double heightMi)` Deprecated. Approximates a box centered at the given point with the given width and height in miles.
`boolean` | `equals(Object obj)` Deprecated.
`LatLng` | `getLowerLeft()` Deprecated.
`LatLng` | `getMidpoint()` Deprecated.
`LatLng` | `getUpperRight()` Deprecated.
`int` | `hashCode()` Deprecated.
`Rectangle` | `toRectangle()` Deprecated. Returns a rectangle shape for the bounding box
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LLRect

    public LLRect(LatLng ll,
                  LatLng ur)

  Deprecated.

### LLRect

    public LLRect(LLRect other)

  Deprecated.

Method Detail

### area

    public double area()

  Deprecated.
  Return the area in units of lat-lng squared. This is a contrived unit that only has value when comparing to something else.

### getLowerLeft

    public LatLng getLowerLeft()

  Deprecated.

### getUpperRight

    public LatLng getUpperRight()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getMidpoint

    public LatLng getMidpoint()

  Deprecated.

### createBox

    public static LLRect createBox(LatLng center,
                                   double widthMi,
                                   double heightMi)

  Deprecated.
  Approximates a box centered at the given point with the given width and height in miles.

  Parameters:
    `center` -
    `widthMi` -
    `heightMi` -

### toRectangle

    public Rectangle toRectangle()

  Deprecated.
  Returns a rectangle shape for the bounding box

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD